Name:           ibm-storage-ceph-license
Version:        6
Release:        2%{?dist}
Summary:        IBM ceph license 

License:       IBM 
URL:           ibm.com 
Source0:       L-ZQUF-5AXJKW.tar.gz

BuildArch: noarch
BuildRequires: bash 

%description
there are licenses here

%post -p <lua>
accept_eula = os.getenv("ACCEPT_EULA")
if accept_eula then
  accept_eula = accept_eula:lower():gsub("\n", "")
end


if not (accept_eula == "yes" or accept_eula == "y") then
	os.remove("/usr/share/%{name}/accept")
	license = "L-FHAW-KF595N"
	path = "/usr/share/%{name}/" .. license .."/UTF8/"
	print("\nYour licenses have been installed in " .. path)
	locale = io.popen("locale | grep LANG= | cut -d'=' -f2 | cut -d'_' -f1"):read("*all"):gsub("\n", "")
	print("System locale: " .. locale)
	lpath= path .. "LA_" .. locale
	agreement, err = io.open(lpath, 'r')
	if agreement then
	  print(agreement:read("a"))
	else
	  print(err)
	end

	io.write("\nYou can read this license in another language at " .. path)
	io.write("\n\nTo Accept these provisions:")
	print("\nrun `sudo touch " .. "/usr/share/%{name}/accept`")
        print("\nThen proceed with install")
end

%install
mkdir -p  %{buildroot}/usr/share/%{name}/
tar zxf %{SOURCE0} --directory %{buildroot}/usr/share/%{name}/
echo "I agree to be bound by the terms" > %{buildroot}/usr/share/%{name}/accept

%files
/usr/share/%{name}/*

%changelog
* Thu Sep 07 2023 Ken Dreyer <kdreyer@ibm.com> - 6-2
- new L-ZQUF-5AXJKW license

* Tue Jul 25 2023 Ken Dreyer <kdreyer@ibm.com> - 6-1
- new L-FFUB-XF3YBM license

* Thu Jun 22 2023 Justin Caratzas <jcaratza@ibm.com> - 5.3-5
- replace L-UZCF-G32WFJ license with L-FHAW-KF595N

* Wed Jun 21 2023 Justin Caratzas <jcaratza@ibm.com> - 5.3-4
- new L-UZCF-G32WFJ license

* Tue May 09 2023 Ken Dreyer <kdreyer@ibm.com> - 5.3-3
- new L-JNYZ-RU4TQD license

* Wed Mar 01 2023 Christina Meno <Christina.Meno@ibm.com> - 5.3-1
- new version

* Tue Feb  7 2023 Christina Meno <Christina.Meno@ibm.com>
- 
